Skip to main content
GET
The signed-in person's cart: each item, how many, and what it costs at today's agreed price.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
catalog_item_id
string
quantity
string
code
string
name
string
summary
string
kind
string
part_id
string
unit_price
string
unit_price_currency_id
string
currency
string
line_total
string
unit_of_measure_id
string
unit_of_measure
string
pack_size
string
preferred_vendor_id
string
preferred_vendor
string
lead_time_days
string
primary_image_file_id
string
is_orderable
string
created_at
string
updated_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

catalog_item_id
string<uuid>

Note: This is a Foreign Key to catalog_items.id.

code
string<character varying>
Maximum string length: 60
created_at
string<timestamp with time zone>
currency
string<character varying>
Maximum string length: 3
id
string<uuid>

Note: This is a Primary Key.

is_orderable
boolean<boolean>
kind
string<character varying>
Maximum string length: 10
lead_time_days
integer<integer>
line_total
number<numeric>
name
string<character varying>
Maximum string length: 200
pack_size
number<numeric>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

preferred_vendor
string<character varying>
Maximum string length: 200
preferred_vendor_id
string<uuid>

Note: This is a Foreign Key to assignable_vendors.id.

primary_image_file_id
string<uuid>
quantity
number<numeric>
summary
string<character varying>
Maximum string length: 300
unit_of_measure
string<character varying>
Maximum string length: 30
unit_of_measure_id
string<uuid>

Note: This is a Foreign Key to units_of_measure.id.

unit_price
number<numeric>
unit_price_currency_id
string<uuid>

Note: This is a Foreign Key to asset_cost_to_keep.currency_id.

updated_at
string<timestamp with time zone>